CHICKEN-PROFILE(1)

NAME
chicken-profile - generate a report from profile-information

SYNOPSIS
chicken-profile [OPTION ...] [FILENAME]

DESCRIPTION
chicken-profile reads in profiling information generated by CHICKEN Scheme programs compiled with the -profile option, and generates a table listing function names and their execution times. FILENAME defaults to the ‘PROFILE.<number>’, selecting the one with the highest modification time, in case multiple profiles exist.

The program accepts following arguments:

-help
    Show usage and exit.

-version
    Show version and exit.

-decimals DDD
    Set number of decimals for seconds, average and percent columns (three digits, default: 333).

-no-unused
    Remove procedures that are never called.

-sort-by-avg
    Sort output by average procedure execution time.

-sort-by-calls
    Sort output by call frequency.

-sort-by-name
    Sort output alpabetically by procedure name.

-sort-by-time
    Sort output by procedure execution time.

-top N
    Display only the top N entries.

EXIT STATUS

SEE ALSO
chicken(1), csc(1)

More information can be found in the CHICKEN User's Manual: http://wiki.call-cc.org/manual/index.

AUTHORS
The CHICKEN Team

BUGS
Submit bug reports by e-mail to chicken-janitors@nongnu.org